<?php
require_once'fun.php';
require'f_forum.php';
if($conn->query('SELECT COUNT(*)FROM`membrii_pedepsiti`WHERE`de`="'.$de.'"&&`penalty`="1"')->fetch_row()[0]>0)
{
$titlu='Eroare!';
require'f_sus.php';
$sex_de=($conn->query('SELECT`sex`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0]=='F'?'ă':'');
$banto=$conn->query('SELECT`data`,`pnreas`,`exid`FROM`membrii_pedepsiti`WHERE`de`="'.$de.'"&&`penalty`="1"')->fetch_row();
require'f_ramas.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Esti banat'.$sex_de.' pe forum!'.$div[0].$div[1].'Timp ramas pana la debanare: <strong>'.ramas($banto[0]- $_SERVER['REQUEST_TIME']).'</strong><br />Ai fost banat'.$sex_de.' de: <strong>'.nume($banto[2]).'</strong><br />Motiv ban: <strong>'.htmlspecialchars($banto[1]).'</strong>'.$div[0];
require'f_jos.php';
}
$x3='';
if(!$conn->query('INSERT INTO`forum_conectati`SET`data`="'.$_SERVER['REQUEST_TIME'].'",`de`="'.$de.'"'))
$conn->query('UPDATE`forum_conectati`SET`data`="'.$_SERVER['REQUEST_TIME'].'"WHERE`de`="'.$de.'"');
if($_SERVER['REQUEST_URI']!='/forum')
$back[1]='<a href="/forum">'.img('forum.png',2).'Forum</a>';
if(isset($_GET['pid']))
{
if(!isset($chestionar))
{
$pinfo=$conn->query('SELECT`id`,`de`,`tid`,`text`,`raportat`,`data`FROM`forum_postari`WHERE`id`="'.$pid.'"')->fetch_row();
if($pinfo[0]>0)
{
$nic=nume($pinfo[1],1);
$tid=$pinfo[2];
$x3='/tip/'.$pid;
}
else
{
http_response_code(410);
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Aceasta postare nu a fost gasita!<br />Probabil a fost ștearsă!'.$div[0];
require'f_jos.php';
}
}
else
$tid=$chestionar[9];
}
if($tid!='')
{
$tinfo=$conn->query('SELECT`id`,`de`,`fid`,`nume`,`text`,`data`,`vizualizari`,`tid`,`inchis`,`urcat`,`raportat`FROM`forum_topicuri`WHERE`id`="'.$tid.'"')->fetch_row();
if($tinfo[0]>0)
{
$tnume=htmlspecialchars($tinfo[3]);
if($_SERVER['REQUEST_URI']!='/forum/topic/'.$tid.'-'.seo($tinfo[3])&&$_SERVER['REQUEST_URI']!='/admin-sterge-topic/topic/'.$tid.'-'.seo($tinfo[3]))
$back[3]='<a rel="'.($x3!=''?'no':'').'follow" href="/forum/topic/'.$tid.'-'.seo($tinfo[3]).$x3.'">Topic '.$tnume.'</a>';
}
else
{
http_response_code(410);
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest topic nu a fost gasit!<br />Probabil a fost șters!'.$div[0];
require'f_jos.php';
}
}
if($fid==''&&$tid!='')
$fid=$tinfo[2];
if($fid!='')
{
$finfo=$conn->query('SELECT`id`,`cid`,`nume`,`clid`,`inchis`FROM`forum_forumuri`WHERE`id`="'.$fid.'"')->fetch_row();
if($finfo[0]>0)
{
$fnume=htmlspecialchars($finfo[2]);
if($finfo[1]>0)
$cid=$finfo[1];
elseif($finfo[3]>0)
$cid=$finfo[3];
if($_SERVER['REQUEST_URI']!='/forum/forum/'.$fid.'-'.seo($finfo[2]))
$back[2]='<a href="/forum/forum/'.$fid.'-'.seo($finfo[2]).'">'.img('forum.png',2).$fnume.'</a>';
}
else
{
http_response_code(410);
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest forum nu a fost gasit!<br />Probabil a fost șters!'.$div[0];
require'f_jos.php';
}
if(!forum($fid))
{
http_response_code(401);
$titlu='Acces interzis la forumul '.$fnume.'!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai acces la acest forum!'.$div[0];
require'f_jos.php';
}
}
if($cid!=''&&@$finfo[3]==0)
{
$cinfo=$conn->query('SELECT`id`,`nume`FROM`forum_categorii`WHERE`id`="'.$cid.'"')->fetch_row();
if($cinfo[0]>0)
$cnume=htmlspecialchars($cinfo[1]);
else
{
http_response_code(410);
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Această categorie nu a fost găsită!<br />Probabil a fost ștearsă!'.$div[0];
require'f_jos.php';
}
}
elseif(@$finfo[3]>0)
{
$cinfo=$conn->query('SELECT`id`,`nume`FROM`grupuri`WHERE`id`="'.$cid.'"')->fetch_row();
if($cinfo[0]>0)
$cnume=htmlspecialchars($cinfo[1]);
else
{
http_response_code(410);
$titlu='Eroare!';
$back[1]='<a href="/grupuri">'.img('grupuri.png',2).'Grupuri</a>';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest grup nu a fost gasit!<br />Probabil a fost șters!'.$div[0];
require'f_jos.php';
}
}